it.reply.healty.innovapuglia.mstaccuino.service.data

## Class NoteDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.NoteDataService

-     @Component
      public class NoteDataService
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoteDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NotaTaccuino` | `addNota(Paziente paziente, NotaRequestDTO notaDto)` Aggiunge al database una nuova istanza di tipo Nota
    `NotaTaccuino` | `aggiornaMetadatiNota(NotaTaccuino nota, NotaRequestDTO metadati)` Modifica un'istanza di tipo Nota presente, aggiornandola con i dati in input
    `NotaTaccuino` | `aggiornaTimestampNota(NotaTaccuino nota)` Permette di modificare la data di aggiornamento di una nota, utilizzato ogni volta che si effettua una modifica alla nota o ad uno dei suoi componenti.
    `NotaTaccuino` | `deprecaNota(NotaTaccuino nota)` Cancella logicamente l'istanza di tipo Nota inserita in input
    `List<NotaTaccuino>` | `findAllByPaziente(Paziente paziente)` Recupera l'elenco di Note associati ad un paziente
    `NotaTaccuino` | `getNotaById(String idNota)` Restituisce la nota in stato attivo in base all'ID in input

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoteDataService

          public NoteDataService()

  - ### Method Detail

    - #### addNota

          public NotaTaccuino addNota(Paziente paziente,
                                      NotaRequestDTO notaDto)
                               throws FaultException

      Aggiunge al database una nuova istanza di tipo Nota
      Parameters:
        `paziente` - Paziente a cui è associata la nota in input
        `notaDto` - Oggetto contenente i dati di input della nota
      Returns:
        l'istanza creata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### deprecaNota

          public NotaTaccuino deprecaNota(NotaTaccuino nota)
                                   throws FaultException

      Cancella logicamente l'istanza di tipo Nota inserita in input
      Parameters:
        `nota` - istanza dell'oggetto da deprecare
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### findAllByPaziente

          public List<NotaTaccuino> findAllByPaziente(Paziente paziente)
                                               throws FaultException

      Recupera l'elenco di Note associati ad un paziente
      Parameters:
        `paziente` - Paziente a cui sono associate le note da ricercare
      Returns:
        l'elenco di Note, o una lista vuota quando non ce ne sono
      Throws:
        `FaultException` - quando ci sono problemi nel recupero dati dal database

    - #### aggiornaMetadatiNota

          public NotaTaccuino aggiornaMetadatiNota(NotaTaccuino nota,
                                                   NotaRequestDTO metadati)
                                            throws FaultException

      Modifica un'istanza di tipo Nota presente, aggiornandola con i dati in input
      Parameters:
        `nota` - Vecchia istanza dell'oggetto da modificare
        `metadati` - Nuovo oggetto in input, contenente i dati aggiornati
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### aggiornaTimestampNota

          public NotaTaccuino aggiornaTimestampNota(NotaTaccuino nota)
                                             throws FaultException

      Permette di modificare la data di aggiornamento di una nota, utilizzato ogni volta che si effettua una modifica alla nota o ad uno dei suoi componenti.
      Parameters:
        `nota` - Nota da modificare
      Returns:
        l'istanza aggiornata
      Throws:
        `FaultException` - quando ci sono problemi nel salvataggio dei dati nel database

    - #### getNotaById

          public NotaTaccuino getNotaById(String idNota)
                                   throws FaultException,
                                          NotaNonTrovataException

      Restituisce la nota in stato attivo in base all'ID in input
      Parameters:
        `idNota` - l'ID del dolore da cercare
      Returns:
        La nota attiva trovata
      Throws:
        `FaultException` - Quando c'e' qualche problema durante l'interrogazione del database
        `NotaNonTrovataException` - Quando non viene trovato nessun dolore attivo con quell'ID

Copyright © 2024. All rights reserved.